# The Secret object

### The Secret object

```json
{
  "id": "appsecret_5110hHS1707T6fjBnah1LkdIwHu7ix",
  "object": "apps.secret",
  "created": 1680209063,
  "expires_at": null,
  "livemode": false,
  "name": "my-api-key",
  "scope": {
    "type": "account"
  }
}
```

## Attributes

- `id` (string)
  Unique identifier for the object.

- `object` (string)
  String representing the object’s type. Objects of the same type share the same value.

- `created` (timestamp)
  Time at which the object was created. Measured in seconds since the Unix epoch.

- `deleted` (boolean, nullable)
  If true, indicates that this secret has been deleted

- `expires_at` (timestamp, nullable)
  The Unix timestamp for the expiry time of the secret, after which the secret deletes.

- `livemode` (boolean)
  If the object exists in live mode, the value is `true`. If the object exists in test mode, the value is `false`.

- `name` (string)
  A name for the secret that’s unique within the scope.

- `payload` (string, nullable, expandable (can be expanded into an object with the `expand` request parameter))
  The plaintext secret value to be stored.

- [`scope`](https://docs.stripe.com/api/apps/secret_store/secret_resource.md?query=scope) (object)
  Specifies the scoping of the secret. Requests originating from UI extensions can only access account-scoped secrets or secrets scoped to their own user.
